UbuntuUpdates.org

Package "wpa"

Name: wpa

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • client support for WPA and WPA2 (IEEE 802.11i)

Latest version: 2:2.6-15ubuntu2.5
Release: bionic (18.04)
Level: security
Repository: main

Links

Save this URL for the latest version of "wpa": https://www.ubuntuupdates.org/wpa



Other versions of "wpa" in Bionic

Repository Area Version
base main 2:2.6-15ubuntu2
base universe 2:2.6-15ubuntu2
security universe 2:2.6-15ubuntu2.5
updates universe 2:2.6-15ubuntu2.5
updates main 2:2.6-15ubuntu2.5

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 2:2.6-15ubuntu2.5 2019-09-20 10:07:08 UTC

  wpa (2:2.6-15ubuntu2.5) bionic-security; urgency=medium

   * SECURITY UPDATE: Incorrect indication of disconnection in certain
     situations
     - debian/patches/CVE-2019-16275.patch: silently ignore management
       frame from unexpected source address in src/ap/drv_callbacks.c,
       src/ap/ieee882_11.c.
     - CVE-2019-16275

 -- <email address hidden> (Leonidas S. Barbosa) Tue, 17 Sep 2019 08:45:06 -0300

Source diff to previous version
CVE-2019-16275 hostapd before 2.10 and wpa_supplicant before 2.10 allow an incorrect indication of disconnection in certain situations because source address valida

Version: 2:2.6-15ubuntu2.4 2019-08-14 16:07:53 UTC

  wpa (2:2.6-15ubuntu2.4) bionic-security; urgency=medium

  * SECURITY UPDATE: SAE/EAP-pwd side-channel attack w/Brainpool curves
    - debian/patches/CVE-2019-13377-2.patch: use const_time_memcmp() for
      pwd_value >= prime comparison in src/eap_common/eap_pwd_common.c.
    - debian/patches/CVE-2019-13377-3.patch: use BN_bn2binpad() or
      BN_bn2bin_padded() if available in src/crypto/crypto_openssl.c.
    - debian/patches/CVE-2019-13377-5.patch: run through prf result
      processing even if it >= prime in src/eap_common/eap_pwd_common.c.
    - debian/patches/CVE-2019-13377-pre6.patch: disallow ECC groups with a
      prime under 256 bits in src/eap_common/eap_pwd_common.c.
    - debian/patches/CVE-2019-13377-6.patch: disable use of groups using
      Brainpool curves in src/eap_common/eap_pwd_common.c.
    - CVE-2019-13377

 -- Marc Deslauriers <email address hidden> Tue, 13 Aug 2019 14:07:43 -0400

Source diff to previous version
CVE-2019-13377 Timing-based side-channel attack against WPA3's Dragonfly handshake when using Brainpool curves

Version: 2:2.6-15ubuntu2.3 2019-05-08 09:07:08 UTC

  wpa (2:2.6-15ubuntu2.3) bionic-security; urgency=medium

  * SECURITY UPDATE: EAP-pwd DoS via unexpected fragment
    - debian/patches/CVE-2019-11555-1.patch: fix reassembly buffer handling
      in src/eap_server/eap_server_pwd.c.
    - debian/patches/CVE-2019-11555-2.patch: fix reassembly buffer handling
      in src/eap_peer/eap_pwd.c.
    - CVE-2019-11555

 -- Marc Deslauriers <email address hidden> Wed, 01 May 2019 09:58:51 -0400

Source diff to previous version
CVE-2019-11555 The EAP-pwd implementation in hostapd (EAP server) before 2.8 and wpa_supplicant (EAP peer) before 2.8 does not validate fragmentation reassembly sta

Version: 2:2.6-15ubuntu2.2 2019-04-11 13:07:16 UTC

  wpa (2:2.6-15ubuntu2.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/VU-871675/*.patch: backported upstream patches.
    - CVE-2019-9495
    - CVE-2019-9497
    - CVE-2019-9498
    - CVE-2019-9499

 -- Marc Deslauriers <email address hidden> Mon, 08 Apr 2019 14:19:24 -0400

Source diff to previous version
CVE-2019-9495 cache attack against EAP-pwd
CVE-2019-9497 EAP-pwd server not checking for reflection attack
CVE-2019-9498 EAP-pwd server missing commit validation for scalar/element
CVE-2019-9499 EAP-pwd peer missing commit validation for scalar/element

Version: 2:2.6-15ubuntu2.1 2018-08-20 14:07:09 UTC

  wpa (2:2.6-15ubuntu2.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Expose sensitive information
    - debian/patches/CVE-2018-14526.patch: fix in src/rsn_supp/wpa.c.
    - CVE-2018-14526

 -- <email address hidden> (Leonidas S. Barbosa) Thu, 09 Aug 2018 11:34:33 -0300

CVE-2018-14526 An issue was discovered in rsn_supp/wpa.c in wpa_supplicant 2.0 through 2.6. Under certain conditions, the integrity of EAPOL-Key messages is not che



About   -   Send Feedback to @ubuntu_updates